# MPI_File_iwrite_shared

Nonblocking write using shared file pointer

## Synopsis

    #ifdef HAVE_MPI_GREQUEST
    #include "mpiu_greq.h"
    #endif

    int MPI_File_iwrite_shared(MPI_File mpi_fh, void *buf, int count,
                             MPI_Datatype datatype, MPIO_Request *request)

## Input Parameters

fh
  file handle (handle)

buf
  initial address of buffer (choice)

count
  number of elements in buffer (nonnegative integer)

datatype
  datatype of each buffer element (handle)

## Output Parameters

request
  request object (handle)

Location:iwrite_sh.c